[arch-commits] Commit in wv2/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Ronald van Haren ronald at archlinux.org
Mon Nov 2 09:26:13 EST 2009


    Date: Monday, November 2, 2009 @ 09:26:13
  Author: ronald
Revision: 57827

Merged revisions 57826 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/wv2/trunk

........
  r57826 | ronald | 2009-11-02 15:25:47 +0100 (Mon, 02 Nov 2009) | 2 lines
  
  upgpkg: wv2 0.4.2-1
      update to latest version
........

Modified:
  wv2/repos/extra-x86_64/	(properties)
  wv2/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   26 +++++++++++++++++---------
 1 file changed, 17 insertions(+), 9 deletions(-)


Property changes on: wv2/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /wv2/trunk:1-35310
   + /wv2/trunk:1-57826

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-02 14:25:47 UTC (rev 57826)
+++ extra-x86_64/PKGBUILD	2009-11-02 14:26:13 UTC (rev 57827)
@@ -1,22 +1,30 @@
 # $Id$
-# Maintainer: damir <damir at archlinux.org>
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
 # Contributor: damir <damir at archlinux.org>
 
 pkgname=wv2
-pkgver=0.3.1
-pkgrel=2
-pkgdesc="wvWare is the continuation of Caolan McNamara's wv - the MSWord library. It can parse MSWord 9,8,7,6 formats"
+pkgver=0.4.2
+pkgrel=1
+pkgdesc="MSWord 9,8,7,6 formats parser"
 arch=('i686' 'x86_64')
 url="http://sourceforge.net/projects/wvware/"
-depends=('libgsf>=1.14.1')
+depends=('libgsf')
+makedepends=('cmake')
 options=(!libtool)
 source=(http://downloads.sourceforge.net/sourceforge/wvware/${pkgname}-${pkgver}.tar.bz2)
 license=('GPL2')
+md5sums=('850ed8e44a84e7bf0610747827018cbc')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --enable-debug=no
+ cd ${srcdir}
+ mkdir build
+ cd build
+
+ cmake ../${pkgname}-${pkgver} \
+	-DCMAKE_BUILD_TYPE=Release \
+	-DCMAKE_SKIP_RPATH=ON \
+	-DCMAKE_INSTALL_PREFIX=/usr
+
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
 }
-md5sums=('4a20200141cb1299055f2bf13b56989d')



More information about the arch-commits mailing list